Functions
List function secrets
Lists every secret key set on the function. Plaintext is NEVER returned — only the last 4 characters of each value, for visual confirmation.
GET
List function secrets
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Lists every secret key set on the function. Plaintext is NEVER returned — only the last 4 characters of each value, for visual confirmation.
curl --request GET \
--url https://api.zavu.dev/v1/functions/{functionId}/secrets \
--header 'Authorization: Bearer <token>'{
"secrets": [
{
"id": "<string>",
"key": "<string>",
"valueLast4": "<string>",
"syncedToAws": true,
"createdAt": 123,
"updatedAt": 123
}
]
}curl --request GET \
--url https://api.zavu.dev/v1/functions/{functionId}/secrets \
--header 'Authorization: Bearer <token>'{
"secrets": [
{
"id": "<string>",
"key": "<string>",
"valueLast4": "<string>",
"syncedToAws": true,
"createdAt": 123,
"updatedAt": 123
}
]
}